<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'Reon' ) ) {

    return;
}

if ( !class_exists( 'Pricely_Admin_Locale_Styles_Other' ) ) {

    require_once 'price-table.php';

    class Pricely_Admin_Locale_Styles_Other {

        private static $instance;

        public static function get_instance(): self {

            if ( is_null( self::$instance ) ) {

                self::$instance = new self();
            }

            return self::$instance;
        }

        public function get_strings( $strings, $options ) {

            return $this->get_price_table_strings( $strings, $options );
        }

        private function get_price_table_strings( $strings, $options ) {

            return Pricely_Admin_Locale_Styles_Price_Table::get_instance()->get_strings( $strings, $options );
        }

    }

}